summaryrefslogtreecommitdiffstats
path: root/media/libspeex_resampler/update.sh
diff options
context:
space:
mode:
authorMatt A. Tobin <mattatobin@localhost.localdomain>2018-02-02 04:16:08 -0500
committerMatt A. Tobin <mattatobin@localhost.localdomain>2018-02-02 04:16:08 -0500
commit5f8de423f190bbb79a62f804151bc24824fa32d8 (patch)
tree10027f336435511475e392454359edea8e25895d /media/libspeex_resampler/update.sh
parent49ee0794b5d912db1f95dce6eb52d781dc210db5 (diff)
downloadUXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.gz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.lz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.tar.xz
UXP-5f8de423f190bbb79a62f804151bc24824fa32d8.zip
Add m-esr52 at 52.6.0
Diffstat (limited to 'media/libspeex_resampler/update.sh')
-rw-r--r--media/libspeex_resampler/update.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/media/libspeex_resampler/update.sh b/media/libspeex_resampler/update.sh
new file mode 100644
index 000000000..6950bc61b
--- /dev/null
+++ b/media/libspeex_resampler/update.sh
@@ -0,0 +1,29 @@
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+
+# Usage: ./update.sh <speexdsp_directory>
+#
+# Copies the needed files from a directory containing the original
+# speexdsp sources.
+
+set -e -x
+
+cp $1/libspeexdsp/resample.c src
+cp $1/libspeexdsp/resample_sse.h src/resample_sse.c
+cp $1/libspeexdsp/resample_neon.h src/resample_neon.c
+cp $1/libspeexdsp/arch.h src
+cp $1/libspeexdsp/stack_alloc.h src
+cp $1/libspeexdsp/fixed_generic.h src
+cp $1/include/speex/speex_resampler.h src
+cp $1/AUTHORS .
+cp $1/COPYING .
+
+# apply outstanding local patches
+patch -p3 < outside-speex.patch
+patch -p3 < simd-detect-runtime.patch
+patch -p3 < set-skip-frac.patch
+patch -p3 < hugemem.patch
+patch -p3 < remove-empty-asm-clobber.patch
+patch -p3 < handle-memory-error.patch
+patch -p3 < fix-overflow.patch